/**
* The XMOJO Project 5
* Copyright  2003 XMOJO.org. All rights reserved.

* NO WARRANTY

* BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR
* THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
* OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
* PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
* OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
* TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE
* LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
* REPAIR OR CORRECTION.

* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL
* ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE
* THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
* GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
* USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF
* DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
* PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE),
* EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGES.
**/

package com.adventnet.jmx;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Vector;
import javax.management.monitor.Monitor;

public class NotificationThread implements Runnable
{
	public Vector notifList = null;
	public Hashtable info = null;

	public NotificationThread(Vector notifList, Hashtable info)
	{
		this.notifList = notifList;
		this.info = info;
	}

	public void run()
	{
		try{
			if(notifList.size() == 0)
				Thread.sleep(100);
			else
			{
				NotificationHandler hdlr = (NotificationHandler)notifList.elementAt(0);


				if( (hdlr.nf == null) || hdlr.nf.isNotificationEnabled(hdlr.notif) )
				{
					hdlr.nl.handleNotification(hdlr.notif, hdlr.handback);

					String name = hdlr.notif.getClass().getName();
					ArrayList alist = (ArrayList)info.get(name);

					if(alist == null)
					{
						alist = new ArrayList();
						alist.add(hdlr.notif.getType());

						info.put(name, alist);
					}
					else
						alist.add(hdlr.notif.getType());
				}
				notifList.removeElementAt(0);
			}
 		}
		catch(Exception e)
		{
			//e.printStackTrace();
		}

		this.notifList = null;
		this.info = null;
	}
}
