/**
* The XMOJO Project 5
* Copyright  2003 XMOJO.org. All rights reserved.

* NO WARRANTY

* BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR
* THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
* OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
* PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
* OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
* TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE
* LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
* REPAIR OR CORRECTION.

* IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL
* ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE
* THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
* GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
* USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF
* DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
* PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE),
* EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGES.
**/

package javax.management.modelmbean;


/**
 * Exception thrown when an invalid target object type is specified
 */
public class InvalidTargetObjectTypeException extends Exception
{
	private Exception exp = null;

	/**
	 * Default constructor
	 */
	public InvalidTargetObjectTypeException()
	{
	}

	/**
	 * Constructor from a string.
	 *
	 * @param message  String value that will be incorporated in the
	 * 				message for this exception.
	 */
	public InvalidTargetObjectTypeException(String message)
	{
		super(message);
	}

	/**
	 * Constructor taking an exception and a string.
	 *
	 * @param e  Exception that we may have caught to reissue as an
	 * 				InvalidTargetObjectTypeException. The message will be used,
	 * 				and we may want to consider overriding the printStackTrace()
	 * 				methods to get data pointing back to original throw stack.
	 *
	 * @param message  String value that will be incorporated in message
	 * 				for this exception.
	 */
	public InvalidTargetObjectTypeException(Exception e , String message)
	{
		super(message);
		exp = e;
	}

	/**
	 * Overrides the method
	 */
	public void printStackTrace()
	{
		super.printStackTrace();
		if(exp != null)
			exp.printStackTrace();
	}

	/**
	 * Overrides the method
	 */
	public String toString()
	{
		if(exp == null || exp.getMessage() == null)
			return super.toString();

		return (super.toString() + "; nested exception is: " + exp);
	}
}//End of class InvalidTargetObjectTypeException