/**
 * The XMOJO Project 5
 * Copyright  2003 XMOJO.org. All rights reserved.

 * NO WARRANTY

 * BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR
 * THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
 * OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
 * PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
 * OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
 * TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE
 * LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
 * REPAIR OR CORRECTION.

 * IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL
 * ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE
 * THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
 * GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
 * USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF
 * DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
 * PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE),
 * EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGES.
**/

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.management.*;

import com.adventnet.html.dynamic.*;
import com.adventnet.adaptors.html.*;

import com.adventnet.agent.logging.*;

/**
 * Sevlet class for the HTML adaptor of JMX agent. All the communication
 * of the JMX server to the browser through this servlet if the request
 * is for dynamic page request.
 */

public class Jmx_dynamic extends HttpServlet
{
	/* Mail class object for html */
	private DynamicMain main;

	private com.adventnet.agent.logging.Log log;

	/**
	 * Method to initialize. This method is called once
	 * by the web-server.
	 */

	public void init(ServletConfig config) throws ServletException
	{
		super.init(config);

		 try {
                        log = LogFactory.getInstance("HTML");
                }
                catch (InstantiationException ie)
                {
                        ie.printStackTrace();
                }
	}


	/**
	 * This method is invoked by the web-server when a get is
	 * called from the browser.
	 *
	 * @param sreq - the collection of data rcvd from the browser.
	 * @param sres - the collection of data send to the browser.
	 */
	public void doGet(HttpServletRequest sreq, HttpServletResponse sres)
		throws ServletException, IOException {
			sres.setContentType("text/html");
			String result = null;
			sreq.getSession(true);
			main = new DynamicMain();

			String name = sreq.getParameter("fname");
			if (name != null && name.equals("aboutus.html")) {
				RequestDispatcher reqDispatch = sreq.getRequestDispatcher("/"+name);
				reqDispatch.forward(sreq, sres);
				return;
			}

			HtmlCreation htmlCr = new HtmlCreation();
                        try {
                            htmlCr.setContextPath(sreq.getContextPath());
                        } catch(NoSuchMethodError nsme) {
                            htmlCr.setContextPath("");
                        }

			main.registerHtmlInterface(htmlCr);
			main.registerErrorInterface(new DynamicError());

			Hashtable table = new Hashtable();

			HttpSession session = sreq.getSession(true);

			String id = session.getId();
			//HtmlAdaptor.setClientInfo(id);

			table.put((String)"Session", session);
			Enumeration e = sreq.getParameterNames();

			for (; e.hasMoreElements(); ) {
				Object paramName  = e.nextElement();
				String paramValue = sreq.getParameter(paramName.toString());
				log.trace("ParamName is "+paramName+"   "+"ParamValue is "+paramValue);

				if (paramValue.trim().length() != 0)
				{
					table.put(paramName, paramValue);
				}
			}


			PrintWriter p =  sres.getWriter();

			//System.out.println("Inside Get");
			result = main.processGetRequest(table);

			//System.out.println("The result is "  + result);

			p.println(result);
			p.flush();
			p.close();
			return;
		}

	public void doPost(HttpServletRequest sreq, HttpServletResponse sres)
		throws ServletException, IOException {
			sres.setContentType("text/html");
			String result = null;
			//sreq.getSession(true);

//			String s1 = sreq.getParameter("arrayType");

			//System.out.println("POST");
			main = new DynamicMain();

			HtmlCreation htmlCr = new HtmlCreation();
                        try {
                            htmlCr.setContextPath(sreq.getContextPath());
                        } catch(NoSuchMethodError nsme) {
                            htmlCr.setContextPath("");
                        }

			main.registerHtmlInterface(htmlCr);
			main.registerErrorInterface(new DynamicError());

			HttpSession session = sreq.getSession(true);

			String objName = sreq.getParameter("attrbName");
			Hashtable table = new Hashtable();
			table.put((String)"Session", session);

//			table = null;
			//System.out.println("inside do post");
			//System.out.println("Object name is " + objName);


//			if((Object)s1 == null){


				Enumeration e = sreq.getParameterNames();

				for (; e.hasMoreElements(); ) {
					Object paramName  = e.nextElement();
					String paramValue = sreq.getParameter(paramName.toString());
					log.trace("ParamName is "+paramName+"   "+"ParamValue is "+paramValue);
				if (paramValue.trim().length() != 0)
				{
					table.put(paramName, paramValue);
				}
				}
//			}
			if( (Object) table != null)
			{
				PrintWriter p =  sres.getWriter();

				result = main.processPostRequest(table);

				p.println(result);
				p.flush();
				p.close();
			};
/*			p.println("hai");
			p.flush();
			p.close(); */
			return ;



			//			doGet(sreq,sres);
		}
}
